Subject: Re: [RFC PATCH 0/6] [RFC] Introduce cgit-rs, a Rust wrapper around libgit.a

From: Dragan Simic <[email-masked]>
Date: Thu, 08 Aug 2024 17:47:37 +0200

On 2024-08-08 17:38, [email-masked] wrote:
> On Thursday, August 8, 2024 9:59 AM, Dragan Simic wrote:
>> On 2024-08-08 13:51, Jason A. Donenfeld wrote:
>>> Cgit maintainer here...
>>> 
>>> On Wed, Aug 07, 2024 at 11:21:25AM -0700, Josh Steadmon wrote:
>>>> * bikeshedding on the name (yes, really). There is an active,
>>>> unrelated
>>>>   CGit project [4] that we only recently became aware of. We
>>>> originally
>>>>   took the name "cgit" because at $DAYJOB we sometimes refer to
>>>> git.git
>>>>   as "cgit" to distinguish it from jgit [5].
>>> 
>>> Indeed, please find something else. Cgit is a real project, used by
>>> many, such as git.kernel.org, and it'll turn into a real hassle for
>>> both of us if there's ambiguity and confusion.
>> 
>> Totally agreed, naming it cgit-rs makes pretty much no sense.
>> 
>>> What about libgit-rs? Or even libgit3, where the rustness of it is
>>> simply an implementation detail, so the name won't feel dated 15 
>>> years
>>> from now when everything is written in Rust anyway and -rs is so 
>>> 2020s?
>> 
>> Well, there are still very active commercial projects written in COBOL 
>> or Clipper, for
>> example, so I wouldn't go as far as _everything_ being written in Rust 
>> at some point.
> 
> There are hundreds of millions of lines of code in the NonStop (TAL,
> COBOL, C, Java,
> in that order) community that is actively maintained to this day, with 
> no Rust
> involvement (not for lack of trying to get Rust ported). Without these
> projects, most
> of your credit and debit cards would probably not work. 😉 Many of
> these repositories
> are more than 500Mb, with a couple I have seen exceeding 2Gb (just for
> source code).

Those are good examples.  Also, I believe that the entire financial 
system of
a country from South America runs on software written in Clipper, and 
they keep
producing modern Clipper compilers that run on Windows.  Let me remind 
you that
Cliper was used back in the days of DOS and 5.25-inch floppies. :)